Package de.willuhn.jameica.hbci.gui.parts.columns

# Class AusgefuehrtColumn

java.lang.Object
de.willuhn.jameica.gui.parts.Column
de.willuhn.jameica.hbci.gui.parts.columns.AusgefuehrtColumn

All Implemented Interfaces:
  `Serializable`

public class AusgefuehrtColumn extends de.willuhn.jameica.gui.parts.Column
Vorformatierte Spalte fuer den Ausfuehrungsstatus.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.parts.Column

`ALIGN_AUTO, ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT, SORT_BY_DISPLAY, SORT_BY_VALUE, SORT_DEFAULT`

## Constructor Summary

Constructors
Constructor
Description
`AusgefuehrtColumn()`
ct.
`AusgefuehrtColumn(String name)`
ct.

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem i1, de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem i2)`
`String`
`getFormattedValue(Object value, Object context)`

### Methods inherited from class de.willuhn.jameica.gui.parts.Column

`canChange, getAlign, getColumnId, getFormatter, getName, getSortMode, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AusgefuehrtColumn

public AusgefuehrtColumn()
ct.

### AusgefuehrtColumn

public AusgefuehrtColumn(String name)
ct.

Parameters:
  `name` - der Name das Attributs mit dem Ausführungsdatum.

## Method Details

### getFormattedValue

public String getFormattedValue(Object value, Object context)

Overrides:
  `getFormattedValue` in class `de.willuhn.jameica.gui.parts.Column`
See Also:
  - `Column.getFormattedValue(java.lang.Object, java.lang.Object)`

### compare

public int compare(de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem i1, de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem i2)

Overrides:
  `compare` in class `de.willuhn.jameica.gui.parts.Column`
See Also:
  - `Column.compare(de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem, de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem)`